<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: lh_entry Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">lh_entry Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a79d9f1ef0dc444e17105aaeaf167e22c"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__entry.html#a79d9f1ef0dc444e17105aaeaf167e22c">k</a></td></tr>
<tr class="separator:a79d9f1ef0dc444e17105aaeaf167e22c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14f40cc124c32b03f81151ae7934d2e7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__entry.html#a14f40cc124c32b03f81151ae7934d2e7">k_is_constant</a></td></tr>
<tr class="separator:a14f40cc124c32b03f81151ae7934d2e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b676732ab2ad3eeaedf6ec60a6a0835"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__entry.html#a1b676732ab2ad3eeaedf6ec60a6a0835">v</a></td></tr>
<tr class="separator:a1b676732ab2ad3eeaedf6ec60a6a0835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c40c46e72d9a0ba071a8d49d535bc67"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__entry.html">lh_entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__entry.html#a7c40c46e72d9a0ba071a8d49d535bc67">next</a></td></tr>
<tr class="separator:a7c40c46e72d9a0ba071a8d49d535bc67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fb9c3de01fb5af67d8d429921cc6a3b"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__entry.html">lh_entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__entry.html#a6fb9c3de01fb5af67d8d429921cc6a3b">prev</a></td></tr>
<tr class="separator:a6fb9c3de01fb5af67d8d429921cc6a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>An entry in the hash table </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a79d9f1ef0dc444e17105aaeaf167e22c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* lh_entry::k</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The key. Use <a class="el" href="linkhash_8h.html#a7579ce28b8366fc9b8656f14270aa3aa">lh_entry_k()</a> instead of accessing this directly. </p>

</div>
</div>
<a class="anchor" id="a14f40cc124c32b03f81151ae7934d2e7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lh_entry::k_is_constant</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A flag for users of linkhash to know whether or not they need to free k. </p>

</div>
</div>
<a class="anchor" id="a7c40c46e72d9a0ba071a8d49d535bc67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__entry.html">lh_entry</a>* lh_entry::next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The next entry </p>

</div>
</div>
<a class="anchor" id="a6fb9c3de01fb5af67d8d429921cc6a3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__entry.html">lh_entry</a>* lh_entry::prev</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The previous entry. </p>

</div>
</div>
<a class="anchor" id="a1b676732ab2ad3eeaedf6ec60a6a0835"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* lh_entry::v</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The value. Use <a class="el" href="linkhash_8h.html#a0d4052ccfd8c5d351a9c1d3ba07671b3">lh_entry_v()</a> instead of accessing this directly. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="linkhash_8h.html">linkhash.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
